<script language='JavaScript'>
function kontrollabfrage(sid,row)
{
  var result=confirm('Wollen sie den User wirklich löschen? Bitte vorher drucken!');
  if (result==true)
  {
    window.location.href='index.php?menue=benutzer&session_id='+sid+'&todo=delete&user_id='+row;
  }
}
</script>
<p align=center>Achtung: Status: 1 = Schüler; 2 = Schüleradmin (Wird beim Logout auf 1 zurückgesetzt); 3 = Lehrer</p>
<?
  if (basename(__FILE__) == basename($PHP_SELF))
    die("Darf nur als include benutzt werden\n");

  $post_todo=$_POST['post_todo'];
  $user_id=$_POST['user_id'];
  $user_id=$_GET['user_id'];
  $nName=$_POST['N_Name'];
  $vName=$_POST['V_Name'];
  $user_name=$_POST['User_name'];
  $user_passwort=$_POST['User_passwort'];
  $status=$_POST['Status'];

/*-----Ersetzen oder Einfügen bei erneutem Aufruf-----------------------------*/
if ($post_todo=="replace")
{
  $res=send_sql("update user set name=\"$nName\",vorname=\"$vName\",user_name=\"$user_name\",user_passwort=\"$user_passwort\",status=\"$status\" where user_id=\"$user_id\"");
  $num=mysql_affected_rows();
  echo "$num Datensatz wurde geändert.<br>";
}
elseif ($post_todo=="insert")
{
  $res=send_sql("insert user set name=\"$nName\",vorname=\"$vName\",user_name=\"$user_name\",user_passwort=\"$user_passwort\",status=\"$status\"");
  $num=mysql_affected_rows();
  echo "$num Datensatz wurde neu angelegt.<br>";
}
/*-----Editieren bei erneutem Aufruf------------------------------------------*/
elseif ($todo=="edit")
{
  echo "<input type=\"hidden\" name=\"post_todo\"  value=\"replace\">";
  $sql="select user_id, name as V_Name, vorname as N_Name, User_name, User_passwort, Status from user where user_id=\"$user_id\"";
  include("html/tools/tbl_edit.php");
}
/*-----Editieren bei erneutem Aufruf------------------------------------------*/
elseif ($todo=="delete")
{
  db_delete("DELETE FROM user WHERE user_id=\"$user_id\"");
}
/*-----Editieren bei erneutem Aufruf------------------------------------------*/
elseif ($todo=="neu")
{
  echo "<input type=\"hidden\" name=\"post_todo\"  value=\"insert\">";
  $sql="select Name as N_Name, Vorname as V_Name, User_name, User_passwort, Status from user where user_id=\"$user_id\"";
  include("html/tools/tbl_edit.php");
}
/*-----Erzeugung der Artikelabelle (wenn nichts anderen vorgegeben-------------*/

  echo "<H3 align='center'><a href='javascript:window.print()'>Drucken</a>&nbsp;&nbsp;&nbsp;<a href='$PHP_SELF?menue=benutzer&session_id=$session_id&todo=neu'>Neuer Eintrag</a></H3>";
  $sql="select User_id, Name as N_Name, Vorname as V_Name, User_name, Status from user order by user_id";
  tab_but($sql,"benutzer","user_id");


?>